Create API key for user
Create an API key for a specific user. The full key is returned only once at creation time. Role hierarchy is enforced. Requires ADMIN or OWNER role.
Authorization
User API Key User API key (mgw_usr_live_* or mgw_usr_test_*)
In: header
Path Parameters
uuidCookie Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/users/497f6eca-6276-4993-bfeb-53cbbbba6f08/api-keys" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"description": "string",
"key_prefix": "string",
"environment": "live",
"scopes": [
"string"
],
"rate_limit_rpm": 0,
"is_active": true,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"expires_at": "2019-08-24T14:15:22Z",
"last_used_at": "2019-08-24T14:15:22Z",
"last_used_ip": "string",
"key": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}List user connections
List OAuth and API-key connections for the authenticated user. Connections are scoped to the current API key owner. Use include_server=true for Gate22-style connected-accounts view.
Create a user
Create a new user programmatically without OAuth/SSO. Optionally provision an API key in the same request. Role hierarchy is enforced. Requires ADMIN or OWNER role.
